﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace test1
{
    public static class InitEntities
    {
        public static void Do()
        {
            // Создаем объекты прав
            Right canRead = new Right()
            {
                Description = "Читать статьи",
            };
            Right canWrite = new Right()
            {
                Description = "Редактировать статьи",
            };
            // Создаем объекты групп
            Group groupReaders = new Group()
            {
                Name = "Читатели"
            };
            Group groupWriters = new Group()
            {
                Name = "Писатели"
            };
            // Присваиваем группам соответствующие права
            groupReaders.Rights.Add(canRead);  // читатели могут только читать
            groupWriters.Rights.Add(canRead);  // писатели могут и читать
            groupWriters.Rights.Add(canWrite); // и писать

            // Создаем объекты пользователей и заносим их в соответсвующую группу
            User userChitatel = new User()
            {
                Login = "chitatel",
                Registered = DateTime.Now,
                Group = groupReaders
            };

            User userPushkin = new User()
            {
                Login = "pushkin",
                Registered = DateTime.Now,
                Group = groupWriters
            };

            // Теперь все эти существующие исключительно в памяти объекты
            // добавляем в соответствующие коллекции контейнера
            using (MyEFModelContainer cnt = new MyEFModelContainer("name=MyEFModelContainer"))
            {
                cnt.Rights.AddObject(canRead);
                cnt.Rights.AddObject(canWrite);
                cnt.Groups.AddObject(groupReaders);
                cnt.Groups.AddObject(groupWriters);
                cnt.Users.AddObject(userChitatel);
                cnt.Users.AddObject(userPushkin);
                // И финальный аккорд - сохраняем все изменения в БД
                cnt.SaveChanges();
            }
        }
    }
}
